# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TTypeDesc

Packages that use TTypeDesc
Package
Description
com.databricks.jdbc.common.util
com.databricks.jdbc.model.client.thrift.generated

## Uses of TTypeDesc in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util with parameters of type TTypeDesc
Modifier and Type
Method
Description
`static TPrimitiveTypeEntry`
DatabricksTypeUtil.`getTPrimitiveTypeOrDefault(TTypeDesc typeDesc)`
`static String`
DatabricksThriftUtil.`getTypeTextFromTypeDesc(TTypeDesc typeDesc)`

## Uses of TTypeDesc in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TTypeDesc
Modifier and Type
Class
Description
`class`
`TTypeDesc`
`class`
`TTypeDesc`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TTypeDesc
Modifier and Type
Field
Description
`TTypeDesc`
TColumnDesc.`typeDesc`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TTypeDesc
Modifier and Type
Method
Description
`TTypeDesc`
TTypeDesc.`deepCopy()`
`TTypeDesc`
TColumnDesc.`getTypeDesc()`
`TTypeDesc`
TTypeDesc.`setTypes(List<TTypeEntry> types)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TTypeDesc
Modifier and Type
Method
Description
`int`
TTypeDesc.`compareTo(TTypeDesc other)`
`boolean`
TTypeDesc.`equals(TTypeDesc that)`
`TColumnDesc`
TColumnDesc.`setTypeDesc(TTypeDesc typeDesc)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TTypeDesc
Modifier
Constructor
Description
``
`TColumnDesc(String columnName, TTypeDesc typeDesc, int position)`
``
`TTypeDesc(TTypeDesc other)`
Performs a deep copy on other.